The S-Lang documentation is available online from http://www.jedsoft.org/slang/docs.html.

The entire documentation (HTML, text, postscript, and pdf formats) is also available for from ftp://space.mit.edu/pub/davis/slang/

If you have downloaded the above file, then the following local links should work:

A Guide to the S-Lang Language

S-Lang Library Programmer's Guide

Intrinsic Function Reference

C Library Reference